CoCoA-5 - Design #939

Rename Fact to factorial?
10 Oct 2016 15:21 - John Abbott

Status: Closed Start date: 10 Oct 2016
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Renaming Estimated time: 0.00 hour
Target version: CoCoA-5.2.2 Spent time: 0.70 hour
Description

| suggest renaming Fact to factorial, the same name as used in CoCoALib.
This change is not backward-compatible.

Related issues:

Related to CoCoA-5 - Design #868: Der, Bin: why the capital letter? Closed 17 Apr 2016
Related to CoCoA-5 - Support #940: Check all fns in packages work even withou... Closed 10 Oct 2016
History

#1 - 10 Oct 2016 15:21 - John Abbott
- Related to Design #868: Der, Bin: why the capital letter? added

#2-10 Oct 2016 15:28 - John Abbott

In #868 (comment 3) Anna pointed out that the name Fact could easily be seen as ambiguous (short for factorial or factor?)

| do not usually like longer names, but in this case, to avoid the ambiguity, | do not see any good solution (unless we want to implement as postfix
operator called !, but I'm not willing to do that).

The name factorial is surely clear and unambiguous.

| am thinking of moving Fact into obsolete.cpkg5; what do you think?

#3 - 10 Oct 2016 16:04 - Anna Maria Bigatti

No need to do any change: the official name is indeed factorial.
I'd rather keep Fact working smoothly for some more time.

#4 - 10 Oct 2016 21:04 - John Abbott
- Related to Support #940: Check all fns in packages work even without BackwardCompatible.cpkg5 added

#5 - 23 Jul 2017 16:04 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

How about making Fact obsolescent?

#6 - 24 Jul 2017 09:05 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Target version changed from CoCoA-5.?.? to CoCoA-5.2.2
- % Done changed from 10 to 80

Fact is in BackwardCompatible.cpkg5, and not in the manual.
factorial is the official name.

Should we close this issue leaving everything as it is?
| see no need to make it obsolescent.

#7 - 13 Nov 2017 15:53 - John Abbott
- % Done changed from 80 to 90

Why not make Fact obsolescent?
Surely it is a good idea to encourage users to move away from Fact to factorial, isn't it?

#8 - 13 Nov 2017 18:10 - Anna Maria Bigatti
- Assignee set to John Abbott

John Abbott wrote:

Why not make Fact obsolescent?
Surely it is a good idea to encourage users to move away from Fact to factorial, isn't it?

Seem a gratuitous backward-incompatibility, but after all we have already removed it from the manual (and Bin, similarly).

#9 - 15 Nov 2017 17:23 - John Abbott

The advantage of moving Fact (and Factorial?) to obsolescent.cpkg5 is that users will get a message telling them to update their code (by replacing
the fn name with @factorial). Leaving Fact and Factorial in BackwardCompatible.cpkg produces no such "useful message".

#10 - 15 Nov 2017 17:40 - John Abbott
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Moved. Closing.
